Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037882
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2018-02-12 11:152018-03-02 21:18
ReporterngarciaView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision38a4c363f9c8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037882: Cannot add a purchase order line to a goods receipt if the Alternate UOM feature is activated after the order was created

DescriptionCannot add a purchase order line to a goods receipt if the Alternate UOM feature is activated after the order was created
Steps To ReproduceAs group admin role:
   Create a Purchase Order, add a product and book it

As System admin role:
   Set 'Enable UOM Management' preference to Y

As group admin role:
   Create a Goods Receipt header
   Click Create Lines From process and select the previously created order
   The following error message is shown:
      ERROR: null value in column "movementqty" violates not-null constraint
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038003 scheduledcollazoandy4 Incorrect data adding a sales order line to a goods shipment if the AUM feature is activated after the order was created 

-  Notes
(0102471)
markmm82 (developer)
2018-02-16 18:45
edited on: 2018-02-26 19:16

Test Plan 1: Create Lines From Orders created before enable AUM in Goods Receipt and no AUM exists for used product.
As group admin role:
   Create a Purchase Order, add a product and book it

As System admin role:
   Set 'Enable UOM Management' preference to Y

As group admin role:
   Create a Goods Receipt header
   Click Create Lines From process and select the previously created order
   Notice the order line was copied successfully and it uses the UOM as AUM, and the UOMQTY as AUMQTY.


Test Plan 2: Create Lines From Invoices created before enable AUM in Goods Receipt and no AUM exists for used product.
As group admin role:
   Create a Purchase Invoice, add a product and book it

As System admin role:
   Set 'Enable UOM Management' preference to Y

As group admin role:
   Create a Goods Receipt header
   Click Create Lines From process and select the previously created invoice.
      Notice the AUM and AUM quantity was populated with the same than base as there are not AUM defined for the selected product.
   Done and Notice the invoice line was copied successfully and it uses the UOM as AUM, and the UOMQTY as AUMQTY.


Test Plan 3: Create Lines From Orders created before enable AUM in Goods Receipt and defined AUM for the used product.
As group admin role:
   Create a Purchase Order, add a product and book it

As System admin role:
   Set 'Enable UOM Management' preference to Y

As group admin role:
   Go to the Product window and select the product used in the Purchase Order previously created.
   Create an AUM between the uom of the product and for instance Kilogram unit with conversion rate = 10

   Create a Goods Receipt header
   Click Create Lines From process and select the previously created order
     Notice the AUM and AUM quantities has been calculated based on the base uom and the ordered quantity.
       Alternative UOM = Kilogram
       Operative Quantity = 1
       Movement Quantity = 10
       UOM = Unit.
   Notice the order line was copied successfully and it uses the Alternative UOM defined to the product and it calculates the AUMQTY based on it:
     Alternative UOM = Kilogram
     Operative Quantity = 1
     Movement Quantity = 10
     UOM = Unit.


Test Plan 4: Create Lines From Invoices created before enable AUM in Goods Receipt and defined AUM for the used product.
As group admin role:
   Create a Purchase Invoice, add a product and complete it

As System admin role:
   Set 'Enable UOM Management' preference to Y

As group admin role:
   Go to the Product window and select the product used in the Purchase Invoice previously created.
   Create an AUM between the uom of the product and for instance Kilogram unit with conversion rate = 10

   Create a Goods Receipt header
   Click Create Lines From process and select the previously created invoice
     Notice the AUM and AUM quantities has been calculated based on the base uom and the invoiced quantity.
       Alternative UOM = Kilogram
       Operative Quantity = 1
       Movement Quantity = 10
       UOM = Unit.
   Notice the invoice line was copied successfully and it uses the Alternative UOM defined to the product and it recalculates the AUMQTY based on it:
     Alternative UOM = Kilogram
     Operative Quantity = 1
     Movement Quantity = 10
     UOM = Unit.


Test Plan 5: Create Lines From Orders created after enable AUM in Goods Receipt and defined AUM for the used product.
As System admin role:
   Set 'Enable UOM Management' preference to Y

As group admin role:
   Go to the Product window and select Cerveza Ale 0,5L.
   Go to AUM tab and create a new record for Kilogram unit with conversion rate = 10
   Create a Purchase Order, add 1 operative quantity of a Cerveza Ale 0,5L product.
      Notice that Alternative UOM is Kilogram by default and Ordered quantity is 10.
   Book the order.

   Create a Goods Receipt header
   Click Create Lines From process and select the previously created order
     Notice the AUM and AUM quantities has been copied from the copied line.
       Alternative UOM = Kilogram
       Operative Quantity = 1
       Movement Quantity = 10
       UOM = Unit.
   Notice the order line also copies that info.


Test Plan 6: Create Lines From Invoices created after enable AUM in Goods Receipt and defined AUM for the used product.
As System admin role:
   Set 'Enable UOM Management' preference to Y

As group admin role:
   Go to the Product window and select Cerveza Ale 0,5L.
   Go to AUM tab and create a new record for Kilogram unit with conversion rate = 10
   Create a Purchase Invoice, add 1 operative quantity of a Cerveza Ale 0,5L product.
      Notice that Alternative UOM is Kilogram by default and Invoiced quantity is 10.
   Complete the invoice.

   Create a Goods Receipt header
   Click Create Lines From process and select the previously created invoice
     Notice the AUM and AUM quantities has been copied from the copied line.
       Alternative UOM = Kilogram
       Operative Quantity = 1
       Movement Quantity = 10
       UOM = Unit.
   Notice the invoice line also copies that info.

(0102846)
hgbot (developer)
2018-02-27 09:21

Repository: erp/devel/pi
Changeset: 38a4c363f9c8626b44b6feb32d28319a114ae7b1
Author: Mark <markmm82 <at> gmail.com>
Date: Mon Feb 26 12:11:05 2018 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/38a4c363f9c8626b44b6feb32d28319a114ae7b1 [^]

Fixes issue 37882: Cannot add a purchase order line to a goods receipt if the
Alternate UOM feature is activated after the order was created.

If AUM is not enabled, when a purchase order is created it hasn't values in any of
the columns related with AUM. So, if the preference is activated after the order
creation, the ordered quantity will be used as AUMQTY and the UOM as AUM by default
when these order lines are copied to the receipt by the Create Lines From process and no
alternate units exists for the ordered product. In the case that alternate unit of
measure exists for the product the default AUM will be used as the receipt line AUM
and to calculate the operative quantity based on the conversion rate between the UOM and the AUM.

Were added to the XSQL file the return of the document type as C_DOCTYPE_ID field to use it when
the default AUM is calculated.

---
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom.java
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Shipment_data.xsql
---
(0102847)
dmiguelez (developer)
2018-02-27 09:22

Code Review + Testing Ok
(0102848)
hgbot (developer)
2018-02-27 11:05

Repository: erp/devel/pi
Changeset: 77881ff512166830fa32423bcae461efa51b6683
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Feb 27 11:04:56 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/77881ff512166830fa32423bcae461efa51b6683 [^]

Related to Issue 37882. Adds new column in group by clause
to avoid problems in Oracle.

---
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Shipment_data.xsql
---
(0102954)
hudsonbot (developer)
2018-03-02 21:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/05dece3dc80b [^]
Maturity status: Test
(0102955)
hudsonbot (developer)
2018-03-02 21:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/05dece3dc80b [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-02-12 11:15 ngarcia New Issue
2018-02-12 11:15 ngarcia Assigned To => Triage Finance
2018-02-12 11:15 ngarcia Modules => Core
2018-02-12 11:15 ngarcia Triggers an Emergency Pack => No
2018-02-12 11:16 ngarcia Issue Monitored: networkb
2018-02-14 15:26 markmm82 Assigned To Triage Finance => markmm82
2018-02-14 15:49 markmm82 Status new => scheduled
2018-02-16 18:45 markmm82 Note Added: 0102471
2018-02-20 15:48 markmm82 Note Edited: 0102471 View Revisions
2018-02-26 19:16 markmm82 Note Edited: 0102471 View Revisions
2018-02-26 19:42 markmm82 Relationship added related to 0038003
2018-02-27 09:21 hgbot Checkin
2018-02-27 09:21 hgbot Note Added: 0102846
2018-02-27 09:21 hgbot Status scheduled => resolved
2018-02-27 09:21 hgbot Resolution open => fixed
2018-02-27 09:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/38a4c363f9c8626b44b6feb32d28319a114ae7b1 [^]
2018-02-27 09:22 dmiguelez Review Assigned To => dmiguelez
2018-02-27 09:22 dmiguelez Note Added: 0102847
2018-02-27 09:22 dmiguelez Status resolved => closed
2018-02-27 09:22 dmiguelez Fixed in Version => 3.0PR18Q2
2018-02-27 11:05 hgbot Checkin
2018-02-27 11:05 hgbot Note Added: 0102848
2018-03-02 21:18 hudsonbot Checkin
2018-03-02 21:18 hudsonbot Note Added: 0102954
2018-03-02 21:18 hudsonbot Checkin
2018-03-02 21:18 hudsonbot Note Added: 0102955


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker